 function [cable_el_8000,cable_el_6000,Girder_el_main_test,cross_beam_el_2000,cross_beam_el_4000,Girder_el_2000_test,Girder_el_4000_test,hanger_2000_el,hanger_4000_el,pylon_el,crossbeam_pylonbed_1_el,crossbeam_pylonbed_end_el,crossbeam_pylontop_1_el,crossbeam_pylontop_end_el,crossbeam_pylonmid_1_el,crossbeam_pylonmid_end_el] = elements(find1,find7,d,D,Girder_geo_main_test,Girder_geo_2000_test,cross_beam_geo_2000,K2,main_nodes_geo,Girder_geo_4000_test,cross_beam_geo_4000,K3,cable_geo_8000_test,side_cable_a,side_cable_c,side_cable_b,cable_geo_6000_test,side_cable_d,pylon_geo_6000_1,pylon_geo_6000_end,pylon_geo_8000_1,pylon_geo_8000_end,crossbeam_pylonbed_1,crossbeam_pylonbed_end,crossbeam_pylontop_1,crossbeam_pylontop_end,crossbeam_pylonmid_1,crossbeam_pylonmid_end)
%%Description 
% This function creates elements from the nodes in geometry.m.
%% Create main girder elements
p=1;
n=length(Girder_geo_main_test)/2;
for i=1:n
    if p>=length(Girder_geo_main_test)+4
    break
    end
       element_nr = i;
       node_1(i) = Girder_geo_main_test(p,1);
       node_2(i) = Girder_geo_main_test(p+1,1);
       node_3(i) = Girder_geo_main_test(p+2,1);
       Girder_el_main_test(i,:) = [element_nr,node_1(i),node_2(i),node_3(i)];
       p=p+2;
end

%% Create 2000-girder elements

p=1;
n=length(Girder_geo_2000_test)/2;

for i=1:n
    if p>=length(Girder_geo_2000_test)+-1
    break
    end
       element_nr = 2000+i;
       node_1(i) = Girder_geo_2000_test(p,1);
       node_2(i) = Girder_geo_2000_test(p+1,1);
       node_3(i) = Girder_geo_2000_test(p+2,1);
       Girder_el_2000_test(i,:) = [element_nr,node_1(i),node_2(i),node_3(i)];
       p=p+2;
end
p=4;

% Connect 2000 girder and cross beams
Girder_el_2000_test(1,2) = cross_beam_geo_2000(K2(1),1);
for i=2:floor(length(main_nodes_geo)/2)
    Girder_el_2000_test(p,4)=cross_beam_geo_2000(K2(i),1);
    Girder_el_2000_test(p+1,2)=cross_beam_geo_2000(K2(i),1);
    p=p+4;
end
i=i+1;
p=p-3;
Girder_el_2000_test(p,3)=cross_beam_geo_2000(K2(i),1);
Girder_el_2000_test(p,4)=cross_beam_geo_2000(K2(i+1),1);
Girder_el_2000_test(p+1,2)=cross_beam_geo_2000(K2(i+1),1);
p=p+4;
i=i+2;
c=i;
for i=c:length(main_nodes_geo)-1
    Girder_el_2000_test(p,4)=cross_beam_geo_2000(K2(i),1);
    Girder_el_2000_test(p+1,2)=cross_beam_geo_2000(K2(i),1);
    p=p+4;
end
Girder_el_2000_test(end,4) = cross_beam_geo_2000(K2(end),1);


    
%% Create 4000-girder elements
p=1;
n=length(Girder_geo_4000_test)/2;
for i=1:n
    if p>=length(Girder_geo_4000_test)+4
    break
    end
       element_nr = 4000+i;
       node_1(i) = Girder_geo_4000_test(p,1);
       node_2(i) = Girder_geo_4000_test(p+1,1);
       node_3(i) = Girder_geo_4000_test(p+2,1);
       Girder_el_4000_test(i,:) = [element_nr,node_1(i),node_2(i),node_3(i)];
       p=p+2;
              if i==n
           Girder_el_main(i+1,:) = [element_nr+1,Girder_geo_main(p,1),Girder_geo_main(p+1,1),Girder_geo_main(p+2,1)];
       end

end

% Connect 4000 girder and cross beams

Girder_el_4000_test(1,2) = cross_beam_geo_4000(K2(1),1);
p=4;
for i=2:floor(length(main_nodes_geo)/2)
    Girder_el_4000_test(p,4)=cross_beam_geo_4000(K3(i),1);
    Girder_el_4000_test(p+1,2)=cross_beam_geo_4000(K3(i),1);
    p=p+4;
end
i=i+1;
p=p-3;
Girder_el_4000_test(p,3)=cross_beam_geo_4000(K3(i),1);
Girder_el_4000_test(p,4)=cross_beam_geo_4000(K3(i+1),1);
Girder_el_4000_test(p+1,2)=cross_beam_geo_4000(K3(i+1),1);
p=p+4;
i=i+2;
c=i;
for i=c:length(main_nodes_geo)-1
    Girder_el_4000_test(p,4)=cross_beam_geo_4000(K3(i),1);
    Girder_el_4000_test(p+1,2)=cross_beam_geo_4000(K3(i),1);
    p=p+4;
end
Girder_el_4000_test(end,4) = cross_beam_geo_4000(K2(end),1);

%% Cable_el_8000 test
k=0;
l=length(cable_geo_8000_test);
a=8000;
for i=1:length(side_cable_a)-1
    k=k+1;
    element_nr = a+k;
    node_1(k) = side_cable_a(k,1);
    node_2(k) = side_cable_a(k+1,1);
    cable_el_8000(k,:) = [element_nr,node_1(k),node_2(k)];
    if i==length(side_cable_a)-1
        k=k+1;
    element_nr = a+k;
    node_1(k) = side_cable_a(k,1);
    node_2(k) = cable_geo_8000_test(1,1);
    cable_el_8000(k,:) = [element_nr,node_1(k),node_2(k)];
    end
end
for i=1:length(cable_geo_8000_test)-1
    k=k+1;
    element_nr = element_nr+1;
    node_1(i) = cable_geo_8000_test(i,1);
    node_2(i) = cable_geo_8000_test(i+1,1);
    cable_el_8000(k,:) = [element_nr,node_1(i),node_2(i)];
end
p=length(side_cable_c)+1;
for i=1:p-2%length(side_cable_c)-1
    k=k+1;
    p=p-1;
    element_nr = element_nr+1;
    node_1(k) = side_cable_c(p,1);
    node_2(k) = side_cable_c(p-1);
    cable_el_8000(k,:) = [element_nr,node_1(k),node_2(k)];
        if i==1
    element_nr = element_nr+1;
    node_1(k) = cable_geo_8000_test(end,1);
    node_2(k) = side_cable_c(end,1);
    cable_el_8000(k,:) = [element_nr,node_1(k),node_2(k)];
    p=p+1;
        end
        if i==length(side_cable_c)-1
    k=k+1;
    element_nr = element_nr+1;
    node_1(k) = side_cable_c(2,1);
    node_2(k) = side_cable_c(1,1);
    cable_el_8000(k,:) = [element_nr,node_1(k),node_2(k)];
        end
            
end


%% Cable_el_6000 test
k=0;
l=length(cable_geo_6000_test);
a=6000;
for i=1:length(side_cable_b)-1
    k=k+1;
    element_nr = a+k;
    node_1(k) = side_cable_b(k,1);
    node_2(k) = side_cable_b(k+1,1);
    cable_el_6000(k,:) = [element_nr,node_1(k),node_2(k)];
    if i==length(side_cable_b)-1
        k=k+1;
    element_nr = a+k;
    node_1(k) = side_cable_b(k,1);
    node_2(k) = cable_geo_6000_test(1,1);
    cable_el_6000(k,:) = [element_nr,node_1(k),node_2(k)];
    end
end
for i=1:length(cable_geo_6000_test)-1
    k=k+1;
    element_nr = element_nr+1;
    node_1(i) = cable_geo_6000_test(i,1);
    node_2(i) = cable_geo_6000_test(i+1,1);
    cable_el_6000(k,:) = [element_nr,node_1(i),node_2(i)];
end
p=length(side_cable_d)+1;
for i=1:p-2%length(side_cable_c)-1
    k=k+1;
    p=p-1;
    element_nr = element_nr+1;
    node_1(k) = side_cable_d(p,1);
    node_2(k) = side_cable_d(p-1);
    cable_el_6000(k,:) = [element_nr,node_1(k),node_2(k)];
        if i==1
    element_nr = element_nr+1;
    node_1(k) = cable_geo_6000_test(end,1);
    node_2(k) = side_cable_d(end,1);
    cable_el_6000(k,:) = [element_nr,node_1(k),node_2(k)];
    p=p+1;
        end
        if i==length(side_cable_d)-1
    k=k+1;
    element_nr = element_nr+1;
    node_1(k) = side_cable_d(2,1);
    node_2(k) = side_cable_d(1,1);
    cable_el_6000(k,:) = [element_nr,node_1(k),node_2(k)];
        end
            
end

%% Create cross beam elements
k=1;
p=1;
%2000 series cross beams
for i=1:8:length(Girder_geo_main_test)
    
    for j=1:(4*d-1)/2+1
         element_nr = 20000+p;
         if j==1
             node_1 = Girder_geo_main_test(i,1);
             node_2 = cross_beam_geo_2000(k,1);
             node_3 = cross_beam_geo_2000(k+1,1);
             k=k+1;

         else
             node_1 = cross_beam_geo_2000(k,1);
             node_2 = cross_beam_geo_2000(k+1,1);
             node_3 = cross_beam_geo_2000(k+2,1);
             k=k+2;
         end
             cross_beam_el_2000(p,:) = [element_nr,node_1,node_2,node_3];
             p=p+1;
    end
      if Girder_geo_main_test(i,1)== floor(length(main_nodes_geo)/2)
        break
      end
      k=k+1;
end
i=i+1;
k=k+1;
  for j=1:(4*d-1)/2+1
         element_nr = 20000+p;
         if j==1
             node_1 = Girder_geo_main_test(i,1);
             node_2 = cross_beam_geo_2000(k,1);
             node_3 = cross_beam_geo_2000(k+1,1);
             k=k+1;

         else
             node_1 = cross_beam_geo_2000(k,1);
             node_2 = cross_beam_geo_2000(k+1,1);
             node_3 = cross_beam_geo_2000(k+2,1);
             k=k+2;
         end
             cross_beam_el_2000(p,:) = [element_nr,node_1,node_2,node_3];
             p=p+1;
  end

i=i+1;
c=i;
k=k+1;
for i=c:8:length(Girder_geo_main_test)
  
    for j=1:(4*d-1)/2+1
         element_nr = 20000+p;
         if j==1
             node_1 = Girder_geo_main_test(i,1);
             node_2 = cross_beam_geo_2000(k,1);
             node_3 = cross_beam_geo_2000(k+1,1);
             k=k+1;


         else
             node_1 = cross_beam_geo_2000(k,1);
             node_2 = cross_beam_geo_2000(k+1,1);
             node_3 = cross_beam_geo_2000(k+2,1);
             k=k+2;
         end
             cross_beam_el_2000(p,:) = [element_nr,node_1,node_2,node_3];
             p=p+1;
    end
          
   
      if Girder_geo_main_test(i,1)== length(main_nodes_geo)
        break
        end
   k=k+1;
end


%4000 series cross beam
k=1;
p=1;

for i=1:8:length(Girder_geo_main_test)
    
    for j=1:(4*d-1)/2+1
         element_nr = 40000+p;
         if j==1
             node_1 = Girder_geo_main_test(i,1);
             node_2 = cross_beam_geo_4000(k,1);
             node_3 = cross_beam_geo_4000(k+1,1);
             k=k+1;


         else
             node_1 = cross_beam_geo_4000(k,1);
             node_2 = cross_beam_geo_4000(k+1,1);
             node_3 = cross_beam_geo_4000(k+2,1);
             k=k+2;
         end
             cross_beam_el_4000(p,:) = [element_nr,node_1,node_2,node_3];
             p=p+1;
    end
      if Girder_geo_main_test(i,1)== floor(length(main_nodes_geo)/2)
        break
      end
      k=k+1;
end
i=i+1;
k=k+1;
  for j=1:(4*d-1)/2+1
         element_nr = 40000+p;
         if j==1
             node_1 = Girder_geo_main_test(i,1);
             node_2 = cross_beam_geo_4000(k,1);
             node_3 = cross_beam_geo_4000(k+1,1);
             k=k+1;

         else
             node_1 = cross_beam_geo_4000(k,1);
             node_2 = cross_beam_geo_4000(k+1,1);
             node_3 = cross_beam_geo_4000(k+2,1);
             k=k+2;
         end
             cross_beam_el_4000(p,:) = [element_nr,node_1,node_2,node_3];
             p=p+1;
  end

i=i+1;
c=i;
k=k+1;
for i=c:8:length(Girder_geo_main_test)
  
    for j=1:(4*d-1)/2+1
         element_nr = 40000+p;
         if j==1
             node_1 = Girder_geo_main_test(i,1);
             node_2 = cross_beam_geo_4000(k,1);
             node_3 = cross_beam_geo_4000(k+1,1);
             k=k+1;

         else
             node_1 = cross_beam_geo_4000(k,1);
             node_2 = cross_beam_geo_4000(k+1,1);
             node_3 = cross_beam_geo_4000(k+2,1);
             k=k+2;
         end
             cross_beam_el_4000(p,:) = [element_nr,node_1,node_2,node_3];
             p=p+1;
    end
   
      if Girder_geo_main_test(i,1)== length(main_nodes_geo)
        break
        end
   k=k+1;
end


%% Create hanger elements test

a=12000;
b=14000;
d=37;
k=1;
j=9;%9
p=length(side_cable_a);
K= find(cross_beam_geo_2000(:,3)==-D/2);

for i=1:8:length(Girder_geo_main_test)-10
  
    element_nr = a+k;
    node_1_hanger_2000 = cross_beam_geo_2000(K(k+1),1);%finn crossbeam noden som ligger p y= -D/2
    node_2_hanger_2000 = cable_el_8000(p+j,2);%p+j
    hanger_2000_el(k,:) = [element_nr,node_1_hanger_2000,node_2_hanger_2000];
    
    element_nr = b+k;
    node_1_hanger_4000 = cross_beam_geo_4000(K(k+1),1);
    node_2_hanger_4000 = cable_el_6000(p+j,2); %p+j
    hanger_4000_el(k,:) = [element_nr,node_1_hanger_4000,node_2_hanger_4000];
   
    if Girder_geo_main_test(i,1)== floor(length(main_nodes_geo)/2)
        break
    end
    

    k=k+1;
    j=j+8;
    d=d+72;
   
     
end

find3= find(cable_geo_6000_test(:,2)==0);

element_nr=a+k;
node_1_hanger_2000=cross_beam_geo_2000(K(k+1),1);
node_2_hanger_2000=cable_geo_8000_test(find3,1);
hanger_2000_el(k,:) = [element_nr,node_1_hanger_2000,node_2_hanger_2000];

element_nr=b+k;
node_1_hanger_4000=cross_beam_geo_4000(K(k+1),1);
node_2_hanger_4000=cable_geo_6000_test(find3,1);
hanger_4000_el(k,:) = [element_nr,node_1_hanger_4000,node_2_hanger_4000];

k=k+1;
d=d+4;
j=find3+1;

for i=1:8:length(Girder_geo_main_test)-10
    
   if cross_beam_el_4000(i,4)== cross_beam_el_4000(end)
        break
   end
       if k==length(K)-1
        break
    end
    element_nr = a+k;
    node_1_hanger_2000 = cross_beam_geo_2000(K(k+1),1);
    node_2_hanger_2000 = cable_el_8000(p+j,2);%p+j
    hanger_2000_el(k,:) = [element_nr,node_1_hanger_2000,node_2_hanger_2000];
    
    element_nr = b+k;
    node_1_hanger_4000 = cross_beam_geo_4000(K(k+1),1);
    node_2_hanger_4000 = cable_el_6000(p+j,2); %p+j
    hanger_4000_el(k,:) = [element_nr,node_1_hanger_4000,node_2_hanger_4000];
   
     k=k+1;
     j=j+8;
     d=d+4;
     
end

%% Create pylon elements

element_nr_6000_1=100000;
element_nr_6000_end=101000;
element_nr_8000_1=102000;
element_nr_8000_end=103000;
l=1;
for i=1:length(pylon_geo_6000_1)/2
   
    element_nr_6000_1 = element_nr_6000_1+1;
    node_1_6000_1=pylon_geo_6000_1(l,1);
    node_2_6000_1=pylon_geo_6000_1(l+1,1);
    node_3_6000_1=pylon_geo_6000_1(l+2,1); 
    pylon_el_6000_1(i,:)= [element_nr_6000_1 , node_1_6000_1 , node_2_6000_1 , node_3_6000_1];
    
    element_nr_6000_end = element_nr_6000_end+1;
    node_1_6000_end=pylon_geo_6000_end(l,1);
    node_2_6000_end=pylon_geo_6000_end(l+1,1);
    node_3_6000_end=pylon_geo_6000_end(l+2,1); 
    pylon_el_6000_end(i,:)= [element_nr_6000_end , node_1_6000_end , node_2_6000_end , node_3_6000_end];
    
    element_nr_8000_1 = element_nr_8000_1+1;
    node_1_8000_1=pylon_geo_8000_1(l,1);
    node_2_8000_1=pylon_geo_8000_1(l+1,1);
    node_3_8000_1=pylon_geo_8000_1(l+2,1); 
    pylon_el_8000_1(i,:)= [element_nr_8000_1 , node_1_8000_1 , node_2_8000_1 , node_3_8000_1];

    element_nr_8000_end = element_nr_8000_end+1;
    node_1_8000_end=pylon_geo_8000_end(l,1);
    node_2_8000_end=pylon_geo_8000_end(l+1,1);
    node_3_8000_end=pylon_geo_8000_end(l+2,1); 
    pylon_el_8000_end(i,:)= [element_nr_8000_end , node_1_8000_end , node_2_8000_end , node_3_8000_end];

l=l+2;
end

pylon_el = [pylon_el_6000_1;pylon_el_6000_end;pylon_el_8000_1;pylon_el_8000_end];


%% Pylon beam elements
crossbeam_pylonbed_1_el(1,:) = [140001 , pylon_geo_6000_1(find1,1) , crossbeam_pylonbed_1(1,1), crossbeam_pylonbed_1(2,1)];

elnr=140002;
j=2
for i=2:floor(length(crossbeam_pylonbed_1)/2)
    node1=crossbeam_pylonbed_1(j,1)
    node2=crossbeam_pylonbed_1(j+1,1)
    node3=crossbeam_pylonbed_1(j+2,1)
    crossbeam_pylonbed_1_el(i,:) = [elnr , node1 , node2 , node3]; 
    elnr=elnr+1;

    j=j+2;
end
i=i+1
crossbeam_pylonbed_1_el(i,:) = [elnr , crossbeam_pylonbed_1(j,1) , crossbeam_pylonbed_1(j+1,1), pylon_geo_8000_1(find1,1)];
%%
crossbeam_pylonbed_end_el(1,:) = [150001 , pylon_geo_6000_end(find1,1) , crossbeam_pylonbed_end(1,1), crossbeam_pylonbed_end(2,1)];

elnr=150002;
j=2
for i=2:floor(length(crossbeam_pylonbed_1)/2)
    node1=crossbeam_pylonbed_end(j,1)
    node2=crossbeam_pylonbed_end(j+1,1)
    node3=crossbeam_pylonbed_end(j+2,1)
    crossbeam_pylonbed_end_el(i,:) = [elnr , node1 , node2 , node3]; 
    elnr=elnr+1;

    j=j+2;
end
i=i+1
crossbeam_pylonbed_end_el(i,:) = [elnr , crossbeam_pylonbed_end(j,1) , crossbeam_pylonbed_end(j+1,1), pylon_geo_8000_end(find1,1)];

%%
crossbeam_pylontop_1_el(1,:) = [120001 , pylon_geo_6000_1(1,1) , crossbeam_pylontop_1(1,1), crossbeam_pylontop_1(2,1)];

elnr=120002;
j=2
for i=2:floor(length(crossbeam_pylonbed_1)/2)
    node1=crossbeam_pylontop_1(j,1)
    node2=crossbeam_pylontop_1(j+1,1)
    node3=crossbeam_pylontop_1(j+2,1)
    crossbeam_pylontop_1_el(i,:) = [elnr , node1 , node2 , node3]; 
    elnr=elnr+1;

    j=j+2;
end
i=i+1
crossbeam_pylontop_1_el(i,:) = [elnr , crossbeam_pylontop_1(j,1) , crossbeam_pylontop_1(j+1,1), pylon_geo_8000_1(1,1)];

%%
crossbeam_pylontop_end_el(1,:) = [130001 , pylon_geo_6000_end(1,1) , crossbeam_pylontop_end(1,1), crossbeam_pylontop_end(2,1)];

elnr=130002;
j=2
for i=2:floor(length(crossbeam_pylonbed_1)/2)
    node1=crossbeam_pylontop_end(j,1)
    node2=crossbeam_pylontop_end(j+1,1)
    node3=crossbeam_pylontop_end(j+2,1)
    crossbeam_pylontop_end_el(i,:) = [elnr , node1 , node2 , node3]; 
    elnr=elnr+1;

    j=j+2;
end
i=i+1
crossbeam_pylontop_end_el(i,:) = [elnr , crossbeam_pylontop_end(j,1) , crossbeam_pylontop_end(j+1,1), pylon_geo_8000_end(1,1)];
%%
crossbeam_pylonmid_1_el(1,:) = [160001 , pylon_geo_6000_1(find7,1) , crossbeam_pylonmid_1(1,1), crossbeam_pylonmid_1(2,1)];

elnr=160002;
j=2
for i=2:floor(length(crossbeam_pylonbed_1)/2)
    node1=crossbeam_pylonmid_1(j,1)
    node2=crossbeam_pylonmid_1(j+1,1)
    node3=crossbeam_pylonmid_1(j+2,1)
    crossbeam_pylonmid_1_el(i,:) = [elnr , node1 , node2 , node3]; 
    elnr=elnr+1;

    j=j+2;
end
i=i+1
crossbeam_pylonmid_1_el(i,:) = [elnr , crossbeam_pylonmid_1(j,1) , crossbeam_pylonmid_1(j+1,1), pylon_geo_8000_1(find7,1)];


%%
crossbeam_pylonmid_end_el(1,:) = [170001 , pylon_geo_6000_end(find7,1) , crossbeam_pylonmid_end(1,1), crossbeam_pylonmid_end(2,1)];

elnr=170002;
j=2
for i=2:floor(length(crossbeam_pylonbed_1)/2)
    node1=crossbeam_pylonmid_end(j,1)
    node2=crossbeam_pylonmid_end(j+1,1)
    node3=crossbeam_pylonmid_end(j+2,1)
    crossbeam_pylonmid_end_el(i,:) = [elnr , node1 , node2 , node3]; 
    elnr=elnr+1;

    j=j+2;
end
i=i+1
crossbeam_pylonmid_end_el(i,:) = [elnr , crossbeam_pylonmid_end(j,1) , crossbeam_pylonmid_end(j+1,1), pylon_geo_8000_end(find7,1)];

%% Creating element set along pylon

for i=1:5
   
        elset_pylon_11(i,:) = [pylon_el_6000_1(i) , pylon_el_6000_end(i) , pylon_el_8000_1(i) , pylon_el_8000_end(i)];
        elset_pylon_22(i,:) = [pylon_el_6000_1(i+5) , pylon_el_6000_end(i+5) , pylon_el_8000_1(i+5) , pylon_el_8000_end(i+5)];
        elset_pylon_33(i,:) = [pylon_el_6000_1(i+10) , pylon_el_6000_end(i+10) , pylon_el_8000_1(i+10) , pylon_el_8000_end(i+10)];
        elset_pylon_44(i,:) = [pylon_el_6000_1(i+15) , pylon_el_6000_end(i+15) , pylon_el_8000_1(i+15) , pylon_el_8000_end(i+15)];
        elset_pylon_55(i,:) = [pylon_el_6000_1(i+20) , pylon_el_6000_end(i+20) , pylon_el_8000_1(i+20) , pylon_el_8000_end(i+20)];

end
elset_pylon_1= [elset_pylon_11(:,1);elset_pylon_11(:,2);elset_pylon_11(:,3);elset_pylon_11(:,4)];
elset_pylon_2= [elset_pylon_22(:,1);elset_pylon_22(:,2);elset_pylon_22(:,3);elset_pylon_22(:,4)];
elset_pylon_3= [elset_pylon_33(:,1);elset_pylon_33(:,2);elset_pylon_33(:,3);elset_pylon_33(:,4)];
elset_pylon_4= [elset_pylon_44(:,1);elset_pylon_44(:,2);elset_pylon_44(:,3);elset_pylon_44(:,4)];
elset_pylon_5= [elset_pylon_55(:,1);elset_pylon_55(:,2);elset_pylon_55(:,3);elset_pylon_55(:,4)];



    
% end
    
    